Skill
get
Retrieve Skill List.
Authorizations
AuthorizationstringOptional
JWT Token Authentication. Enter "Bearer "
Responses
200Success
application/json
hasErrorbooleanRequiredDefault:
falseExample: falsestatusCodeintegerRequiredDefault:
200Example: 200get/api/v1/dashboard/skill/
GET /api/v1/dashboard/skill/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"name": "text",
"code": "text",
"description": "text",
"icon": "text",
"is_active": true,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}get
Retrieve Skill Detail.
Authorizations
AuthorizationstringOptional
JWT Token Authentication. Enter "Bearer "
Path parameters
skill_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault:
falseExample: falsestatusCodeintegerRequiredDefault:
200Example: 200get/api/v1/dashboard/skill/{skill_id}/
GET /api/v1/dashboard/skill/{skill_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"name": "text",
"code": "text",
"description": "text",
"icon": "text",
"is_active": true,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}put
Get, update, or delete a specific skill
Authorizations
AuthorizationstringOptional
JWT Token Authentication. Enter "Bearer "
Path parameters
skill_idstringRequired
Responses
200
No response body
No content
put/api/v1/dashboard/skill/{skill_id}/
PUT /api/v1/dashboard/skill/{skill_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200
No response body
No content
delete
Get, update, or delete a specific skill
Authorizations
AuthorizationstringOptional
JWT Token Authentication. Enter "Bearer "
Path parameters
skill_idstringRequired
Responses
204
No response body
No content
delete/api/v1/dashboard/skill/{skill_id}/
DELETE /api/v1/dashboard/skill/{skill_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204
No response body
No content
get
Retrieve Skill Tasks.
Authorizations
AuthorizationstringOptional
JWT Token Authentication. Enter "Bearer "
Path parameters
skill_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault:
falseExample: falsestatusCodeintegerRequiredDefault:
200Example: 200get/api/v1/dashboard/skill/{skill_id}/tasks/
GET /api/v1/dashboard/skill/{skill_id}/tasks/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"name": "text",
"code": "text",
"description": "text",
"icon": "text",
"is_active": true,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}post
Create a new skill
Authorizations
AuthorizationstringOptional
JWT Token Authentication. Enter "Bearer "
Responses
200
No response body
No content
post/api/v1/dashboard/skill/create/
POST /api/v1/dashboard/skill/create/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200
No response body
No content
get
Retrieve Skill Dropdown.
Authorizations
AuthorizationstringOptional
JWT Token Authentication. Enter "Bearer "
Responses
200Success
application/json
hasErrorbooleanRequiredDefault:
falseExample: falsestatusCodeintegerRequiredDefault:
200Example: 200get/api/v1/dashboard/skill/dropdown/
GET /api/v1/dashboard/skill/dropdown/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"name": "text",
"code": "text"
}
}Last updated
Was this helpful?

